import { LogisticalStateDetail } from '@colijnit/transactionapi/build/model/logistical-state-detail.bo';
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
export declare class TransactionLineSidePanelPickedComponent extends TransactionLineBaseComponent {
    pickedHistory: LogisticalStateDetail[];
    showClass(): boolean;
    ngOnInit(): void;
    private _retrievePickedHistoryData;
    handleDeleteSelectedRow(row: LogisticalStateDetail): void;
}
